%define upstream_name    Complete-Bash
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Completion module for bash shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Rinci)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Bash allows completion to come from various sources. The simplest is from a
list of words ('-W'):

 % complete -W "one two three four" somecmd
 % somecmd t<Tab>
 two  three

Another source is from a bash function ('-F'). The function will receive
input in two variables: 'COMP_WORDS' (array, command-line chopped into
words) and 'COMP_CWORD' (integer, index to the array of words indicating
the cursor position). It must set an array variable 'COMPREPLY' that
contains the list of possible completion:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.210.0-3.mga6
+ Revision: 1024270
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 969984
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 884437
- update to 0.21

* Sun Sep 06 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 873422
- update to 0.20

* Tue Jul 07 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 852497
- update to 0.19

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 741284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 683961
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.110.0-1.mga5
+ Revision: 658006
- imported package perl-Complete-Bash


* Tue Jul 29 2014 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
